Loading...
Searching...
No Matches
_snd_ump_msg_midi2_per_note_mgmt Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | type:4
uint8_t | group:4
uint8_t | status:4
uint8_t | channel:4
uint8_t | note
uint8_t | flags
uint32_t | reserved

## Detailed Description

MIDI 2.0 Per-Note Management (64bit)

## Field Documentation

## channel

uint8_t _snd_ump_msg_midi2_per_note_mgmt::channel

Channel

## flags

uint8_t _snd_ump_msg_midi2_per_note_mgmt::flags

Option flags (8bit)

## group

uint8_t _snd_ump_msg_midi2_per_note_mgmt::group

UMP Group

## note

uint8_t _snd_ump_msg_midi2_per_note_mgmt::note

Note (7bit)

## reserved

uint32_t _snd_ump_msg_midi2_per_note_mgmt::reserved

Unused

## status

uint8_t _snd_ump_msg_midi2_per_note_mgmt::status

Status

## type

uint8_t _snd_ump_msg_midi2_per_note_mgmt::type

UMP packet type

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h